- Cal3D 0.11 API Reference -

Public Member Functions | List of all members
CalSkeleton Class Reference

## Public Member Functions

| CalSkeleton (CalCoreSkeleton *pCoreSkeleton)
| Constructs the skeleton instance.
| ~CalSkeleton ()
| Destructs the skeleton instance.
void | calculateState ()
| Calculates the state of the skeleton instance.
void | clearState ()
| Clears the state of the skeleton instance.
bool | create (CalCoreSkeleton *pCoreSkeleton)
CalBone * | getBone (int boneId) const
| Provides access to a bone.
CalCoreSkeleton * | getCoreSkeleton () const
| Provides access to the core skeleton.
std::vector< CalBone * > & | getVectorBone ()
| Returns the bone vector.
void | lockState ()
| Locks the state of the skeleton instance.
void | getBoneBoundingBox (float *min, float *max)
| Calculates axis aligned bounding box of skeleton bones.
void | calculateBoundingBoxes ()
| Calculates bounding boxes.
int | getBonePoints (float *pPoints)
int | getBonePointsStatic (float *pPoints)
int | getBoneLines (float *pLines)
int | getBoneLinesStatic (float *pLines)

## Constructor & Destructor Documentation

## ◆ CalSkeleton()

CalSkeleton::CalSkeleton | ( | CalCoreSkeleton * | pCoreSkeleton | ) |

Constructs the skeleton instance.

This function is the default constructor of the skeleton instance.

## ◆ ~CalSkeleton()

CalSkeleton::~CalSkeleton | ( |  | ) |

Destructs the skeleton instance.

This function is the destructor of the skeleton instance.

## Member Function Documentation

## ◆ calculateBoundingBoxes()

void CalSkeleton::calculateBoundingBoxes | ( |  | ) |

Calculates bounding boxes.

This function Calculates the bounding box of every bone in the Skeleton.

## ◆ calculateState()

void CalSkeleton::calculateState | ( |  | ) |

Calculates the state of the skeleton instance.

This function calculates the state of the skeleton instance by recursively calculating the states of its bones.

## ◆ clearState()

void CalSkeleton::clearState | ( |  | ) |

Clears the state of the skeleton instance.

This function clears the state of the skeleton instance by recursively clearing the states of its bones.

## ◆ getBone()

CalBone * CalSkeleton::getBone | ( | int | boneId | ) | const

Provides access to a bone.

This function returns the bone with the given ID.

Parameters

  boneId | The ID of the bone that should be returned.

Returns
  One of the following values:
  - a pointer to the bone
  - 0 if an error happend

## ◆ getBoneBoundingBox()

void CalSkeleton::getBoneBoundingBox | ( | float * | min,
|  | float * | max )

Calculates axis aligned bounding box of skeleton bones.

Parameters

  min | The vector where the min values of bb are stored.
  man | The vector where the max values of bb are stored.

## ◆ getCoreSkeleton()

CalCoreSkeleton * CalSkeleton::getCoreSkeleton | ( |  | ) | const

Provides access to the core skeleton.

This function returns the core skeleton on which this skeleton instance is based on.

Returns
  One of the following values:
  - a pointer to the core skeleton
  - 0 if an error happend

## ◆ getVectorBone()

std::vector< CalBone * > & CalSkeleton::getVectorBone | ( |  | ) |

Returns the bone vector.

This function returns the vector that contains all bones of the skeleton instance.

Returns
  A reference to the bone vector.

## ◆ lockState()

void CalSkeleton::lockState | ( |  | ) |

Locks the state of the skeleton instance.

This function locks the state of the skeleton instance by recursively locking the states of its bones.

The documentation for this class was generated from the following files:

- skeleton.h
- skeleton.cpp

Generated by The Cal3D Team with Doxygen 1.15.0